From 9bff5f1999e807cf20062c4085b31a93327a4c8b Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Tue, 16 Apr 2019 20:19:55 +0200
Subject: [PATCH 1/2] New package: ProTracker-0.20b

---
 srcpkgs/ProTracker/template | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 srcpkgs/ProTracker/template

diff --git a/srcpkgs/ProTracker/template b/srcpkgs/ProTracker/template
new file mode 100644
index 00000000000..7ce76b096d5
--- /dev/null
+++ b/srcpkgs/ProTracker/template
@@ -0,0 +1,25 @@
+# Template file for 'ProTracker'
+pkgname=ProTracker
+version=0.20b
+revision=1
+hostmakedepends="subversion"
+makedepends="SDL2-devel"
+depends="SDL2"
+short_desc="Modern clone of the amiga ProTracker music tracker"
+maintainer="rc-05 <rc23@email.it>"
+license="WTFPL"
+homepage="https://16-bits.org/pt.php"
+
+do_fetch() {
+	svn checkout svn://svn.code.sf.net/p/protracker/code/trunk ${wrksrc}/pt-clone-code
+}
+
+do_build() {
+	cd ${wrksrc}/pt-clone-code
+	chmod +x make-linux.sh
+	./make-linux.sh
+}
+
+do_install() {
+	vbin ${wrksrc}/pt-clone-code/release/other/protracker ProTracker
+}

From 1f9e96a73dcd5a557869fa44b015a80681f4accc Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Thu, 13 Jun 2019 00:00:40 +0200
Subject: [PATCH 2/2] New package: scheme48-1.9.2

---
 srcpkgs/ProTracker/template | 25 -------------------------
 srcpkgs/scheme48/template   | 20 ++++++++++++++++++++
 2 files changed, 20 insertions(+), 25 deletions(-)
 delete mode 100644 srcpkgs/ProTracker/template
 create mode 100644 srcpkgs/scheme48/template

diff --git a/srcpkgs/ProTracker/template b/srcpkgs/ProTracker/template
deleted file mode 100644
index 7ce76b096d5..00000000000
--- a/srcpkgs/ProTracker/template
+++ /dev/null
@@ -1,25 +0,0 @@
-# Template file for 'ProTracker'
-pkgname=ProTracker
-version=0.20b
-revision=1
-hostmakedepends="subversion"
-makedepends="SDL2-devel"
-depends="SDL2"
-short_desc="Modern clone of the amiga ProTracker music tracker"
-maintainer="rc-05 <rc23@email.it>"
-license="WTFPL"
-homepage="https://16-bits.org/pt.php"
-
-do_fetch() {
-	svn checkout svn://svn.code.sf.net/p/protracker/code/trunk ${wrksrc}/pt-clone-code
-}
-
-do_build() {
-	cd ${wrksrc}/pt-clone-code
-	chmod +x make-linux.sh
-	./make-linux.sh
-}
-
-do_install() {
-	vbin ${wrksrc}/pt-clone-code/release/other/protracker ProTracker
-}
diff --git a/srcpkgs/scheme48/template b/srcpkgs/scheme48/template
new file mode 100644
index 00000000000..8f4307339a0
--- /dev/null
+++ b/srcpkgs/scheme48/template
@@ -0,0 +1,20 @@
+# Template file for 'scheme48'
+pkgname=scheme48
+version=1.9.2
+revision=1
+build_style=gnu-configure
+short_desc="Implementation of the R5RS Scheme standard"
+maintainer="rc-05 <rc23@email.it>"
+license="custom:scheme48"
+homepage="http://s48.org/"
+distfiles="http://s48.org/${version}/scheme48-${version}.tgz"
+checksum=9c4921a90e95daee067cd2e9cc0ffe09e118f4da01c0c0198e577c4f47759df4
+alternatives="
+ scheme:scheme:/usr/bin/scheme48
+ scheme:scheme.1:/usr/share/man/man1/scheme48.1
+"
+nocross="Failed to compile test program"
+
+post_install() {
+	vlicense COPYING
+}
